Package org.flywaydb.core.api.resolver

## Class MigrationResolver.Context

- java.lang.Object
- - org.flywaydb.core.api.resolver.MigrationResolver.Context

- Enclosing interface:
    MigrationResolver

      public static class MigrationResolver.Context
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Configuration` | `configuration` |
    `ResourceProvider` | `resourceProvider` |
    `org.flywaydb.core.internal.sqlscript.SqlScriptExecutorFactory` | `sqlScriptExecutorFactory` |
    `org.flywaydb.core.internal.sqlscript.SqlScriptFactory` | `sqlScriptFactory` |
    `org.flywaydb.core.internal.jdbc.StatementInterceptor` | `statementInterceptor` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Context​(Configuration configuration, ResourceProvider resourceProvider, org.flywaydb.core.internal.sqlscript.SqlScriptFactory sqlScriptFactory, org.flywaydb.core.internal.sqlscript.SqlScriptExecutorFactory sqlScriptExecutorFactory, org.flywaydb.core.internal.jdbc.StatementInterceptor statementInterceptor)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### configuration

          public final Configuration configuration

    - #### resourceProvider

          public final ResourceProvider resourceProvider

    - #### sqlScriptFactory

          public final org.flywaydb.core.internal.sqlscript.SqlScriptFactory sqlScriptFactory

    - #### sqlScriptExecutorFactory

          public final org.flywaydb.core.internal.sqlscript.SqlScriptExecutorFactory sqlScriptExecutorFactory

    - #### statementInterceptor

          public final org.flywaydb.core.internal.jdbc.StatementInterceptor statementInterceptor

  - ### Constructor Detail

    - #### Context

          public Context​(Configuration configuration,
                         ResourceProvider resourceProvider,
                         org.flywaydb.core.internal.sqlscript.SqlScriptFactory sqlScriptFactory,
                         org.flywaydb.core.internal.sqlscript.SqlScriptExecutorFactory sqlScriptExecutorFactory,
                         org.flywaydb.core.internal.jdbc.StatementInterceptor statementInterceptor)